package com.test;


import org.infinispan.Cache;

import javax.annotation.PostConstruct;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.inject.Inject;

/**
 * @author Kevin Pollet
 */
@Singleton
@Startup
public class StartupBean {

   @Clustered
   @Inject
   private Cache<String,String> cache;

   @PostConstruct
   void init() {
      System.err.println("-----------CACHE INFORMATIONS----------");
      System.err.println(cache.getName());
      System.err.println(cache.getConfiguration().getCacheMode());
   }
}
